Module | Compass::Configuration::Inheritance::InstanceMethods
In: | lib/compass/configuration/inheritance.rb

### Methods

any_attributes_set? chain debug default_for inherit_from! method_missing on_top! raw read read_without_default reset_inheritance! respond_to? set? set_top_level unset! with_defaults

### Public Instance methods

any_attributes_set?()
chain()
debug()
default_for(attribute)
inherit_from!(data)
method_missing(meth, *args, &block)
on_top!()
raw(attribute)

Reads the raw value that was set on this object. you generally should call raw_<attribute>() instead.

read(attribute)

Read a value that is either inherited or set on this instance, if we get to the bottom-most configuration instance, we ask for the default starting at the top level.

read_without_default(attribute)

Read an explicitly set value that is either inherited or set on this instance

reset_inheritance!()
respond_to?(meth)
set?(attribute)
set_top_level(new_top)
unset!(attribute)
with_defaults(data) {|| ...}

[Validate]